## com.google.debugging.sourcemap
Class SourceMapConsumerV1

    java.lang.Object
      com.google.debugging.sourcemap.SourceMapConsumerV1

All Implemented Interfaces:
  SourceMapConsumer, SourceMapping

    public class SourceMapConsumerV1

extends Object
implements SourceMapConsumer

Class for parsing and representing a SourceMap, as produced by the Closure Compiler, Caja-Compiler, etc.

Constructor Summary
`SourceMapConsumerV1()`

Method Summary
`Mapping.OriginalMapping` | `getMappingForLine(int lineNumber, int columnIndex)` Returns the original mapping for the line number and column position found in the source map.
`void` | `parse(String contents)` Parses the given contents containing a source map.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SourceMapConsumerV1

    public SourceMapConsumerV1()

Method Detail

### parse

    public void parse(String contents)
               throws SourceMapParseException

  Parses the given contents containing a source map.

  Specified by:
    `parse` in interface `SourceMapConsumer`
  Throws:
    `SourceMapParseException`

### getMappingForLine

    public Mapping.OriginalMapping getMappingForLine(int lineNumber,
                                                     int columnIndex)

  Description copied from interface: `SourceMapping`
  Returns the original mapping for the line number and column position found in the source map. Returns null if none is found.

  Specified by:
    `getMappingForLine` in interface `SourceMapping`
  Parameters:
    `lineNumber` - The line number, with the first being '1'.
    `columnIndex` - The column index, with the first being '1'.